/*
 * Copyright (c) 1992-2002 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.6 $
 *
 * Printer definetions
 */

#ifndef __mcprinter_h__
#define __mcprinter_h__ 

/*
 * Printer Protocol types
 */
#define PP_LOCAL		1		/* Local device */
#define PP_LPD			2		/* Unix LPR/LPD */
#define PP_SYSV			3		/* Unix System V */
#define PP_SMB			4		/* Windows SMB */
/*
 * Printer Protocol names - must match PP_*
 */
#define PRINTER_PROTO_LIST \
{ \
    NULL, "Local", "LPD", "SYSV", "SMB" \
}

/*
 * Printer Languages
 */
#define PL_PS			"PostScript"	/* PostScript */
#define PL_PS1			"PostScript-1"	/* PostScript Level 1 */
#define PL_PS2			"PostScript-2"	/* PostScript Level 2 */
#define PL_PS3			"PostScript-3"	/* PostScript Level 3 */
#define PL_PCL			"PCL"		/* PCL */

/*
 * Printer class data
 */
struct _Printer {
    char		       *Queue;		/* Name of queue */
    char		      **Aliases;	/* Queue aliases */
    char		       *Desc;		/* Queue Description */
    char		       *Vendor;		/* Printer vendor */
    char		       *Model;		/* Printer model */
    int				Proto;		/* Protocol - One of PP_* */
    char		       *Device;		/* File name of device */
    char		       *Server;		/* Name of server */
    char		       *RemoteQueue;	/* Queue name on Server */
    char		      **Langs;		/* Supported Languages PL_* */
    char		       *SpoolDir;	/* Spool directory */
    long			MaxJobSize;	/* Max size of jobs (KB) */
    Desc_t		       *DescList;	/* Descriptions */
    struct _Printer	       *Next;		/* Next member */
};
typedef struct _Printer		Printer_t;

#endif	/* __mcprinter_h__ */
