/*
 * Copyright (c) 1992-2002 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.4 $
 *
 * SysInfo Message types
 */

#ifndef __mcsim_h__
#define __mcsim_h__ 

/*
 * SysInfo Message types
 */
#define SIM_INFO	0x0001		/* Normal INFOmation */
#define SIM_WARN	0x0002		/* Warnings */
#define SIM_GERR	0x0004		/* General errors */
#define SIM_CERR	0x0010		/* Critical errors */
#define SIM_DBG		0x0020		/* Debugging */
#define SIM_UNKN	0x0040		/* Things that are unknown 2 SysInfo */
#define SIM_HINT	0x0100		/* Hints */
#define SIM_DEFAULT	(SIM_INFO|SIM_WARN|SIM_CERR|SIM_HINT)
					/* Default SIM output */
#define SIM_ALL		(SIM_INFO|SIM_WARN|SIM_GERR|SIM_CERR|SIM_UNKN|SIM_HINT)
					/* Everything, but DBG */
/*
 * SysInfo Message flags
 * Must not conflict with SIM_* defines above!
 */
#define SIM_NONL	0x100000	/* Don't add newline to output */
#define SIM_NOLBL	0x200000	/* Don't print "sysinfo: *ERROR:" */

#endif	/* __mcsim_h__ */
