/*
 * Copyright (c) 1992-2002 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.61 $
 */

#ifndef __sysinfo_declare_h__
#define __sysinfo_declare_h__ 

/*
 * Declarations
 */

/*
 * Variables
 */
extern int 			DoPrintUnknown;
extern int 			MsgClassFlags;
extern int 			Terse;
extern int 			UseProm;
extern char		       *ProgramName;
extern DefineList_t	       *Definetions;
extern DevDefine_t	       *DevDefinetions;
extern McsiOpt_t	       *McsiOpts;

/*
 * Functions
 */

#if	defined(NEED_STR_DECLARE)
char 			       *strchr();
char		 	       *strrchr();
char 			       *strdup();
char 			       *strcat();
char 			       *strtok();
#endif	/* HAVE_NEED_DECLARE */

extern int			GetHostName();
extern int			GetHostAliases();
extern int			GetHostAddrs();

char			       *itoax();
Large_t				atoL();
void	 		       *xmalloc();
void	 		       *xrealloc();
void	 		       *xcalloc();
int			        StrToArgv();
void				DestroyArgv();
extern char		       *strlower();
extern char		       *strupper();
extern char		       *SkipWhiteSpace();
extern void			strtolower();

extern char		       *TimeToStr();

extern DevDefine_t	       *DevDefGet();
extern void			DevDefAdd();

extern Define_t		       *DefGet();
extern Define_t		       *DefGetList();
extern void			DefAdd();
extern int			DefValid();

extern void			Report();

extern void			PCIsetDeviceInfo();

extern DevDesc_t	       *PrimeDescPtr();
extern DevInfo_t	       *DDBgetDevInfo();
extern DevInfo_t	       *DevFind();
extern DevInfo_t	       *MkMasterFromDevData();
extern DevInfo_t	       *ProbeDevice();
extern DevInfo_t	       *ProbeUnknown();
extern DevInfo_t 	       *DevInfoNew();
extern DevInfo_t 	       *DeviceCreate();
extern DevInfo_t 	       *NewDevInfo();
extern DevInfo_t 	       *ProbeCDROMDrive();
extern DevInfo_t 	       *ProbeDiskDrive();
extern DevInfo_t 	       *ProbeFloppy();
extern DevInfo_t 	       *ProbeFrameBuffer();
extern DevInfo_t 	       *ProbeKbd();
extern DevInfo_t 	       *ProbeNetif();
extern DevInfo_t 	       *ProbeParPort();
extern DevInfo_t 	       *ProbeTapeDrive();
extern DiskDriveData_t	       *NewDiskDriveData();
extern DiskDrive_t	       *DiskSetup();
extern DiskDrive_t	       *NewDiskDrive();
extern DiskPart_t  	       *NewDiskPart();
extern void			DevFindInit();
extern FrameBuffer_t 	       *NewFrameBuffer();
extern Monitor_t	       *NewMonitor();
extern NetIF_t	 	       *NewNetif();
extern char		       *CleanString();
extern char		       *FreqStr();
extern char		       *GetCpuName();
extern CpuInfo_t	       *CpuInfoNew();
extern CacheInfo_t	       *CacheInfoNew();
extern int		       GetCpuInfo();
extern int		       GetCpuSpeed();
extern int		       GetCpuType();
extern Opaque_t		        GetCpuTypeCmds();
extern Opaque_t		        GetCpuTypeDef();
extern Opaque_t		        GetCpuTypeHostInfo();
extern Opaque_t		        GetCpuTypeIsalist();
extern Opaque_t		        GetCpuTypeSysinfo();
extern Opaque_t		        GetCpuTypeTest();
extern Opaque_t		        GetCpuTypeCpuInfo();
extern int 		       DeviceInfoMCSI();
extern int 		       KernelVarsMCSI();
extern int		       GetKernArch();
extern int 		       GetSysConf();
extern char		       *GetKernArchStr();
extern Opaque_t		        GetKernArchCmds();
extern Opaque_t		        GetKernArchDef();
extern Opaque_t		        GetKernArchSysinfo();
extern Opaque_t		        GetKernArchUname();
extern Opaque_t		        GetKernArchTest();
extern int			GetKernBits();
extern Opaque_t		        GetKernBitsCpuType();
extern Opaque_t		        GetKernBitsKernArch();
extern Opaque_t		        GetKernBitsOsName();
extern char		       *GetNameTabName();
extern Opaque_t		        GetOSNameSysinfo();
extern Opaque_t		        GetOSNameUname();
extern Opaque_t		        GetOSNameDef();
extern Opaque_t		        GetOSVerDef();
extern Opaque_t		        GetOSVerKernVer();
extern Opaque_t		        GetOSVerSysinfo();
extern Opaque_t		        GetOSVerUname();
extern char		       *GetSizeStr();
extern char		       *GetClockStr();
extern char		       *GetTapeModel();
extern char		       *MkDevName();
extern char		       *RunCmds();
extern char		       *RunTestFiles();
extern char	 	       *MkDevName();
extern char	 	       *MkMasterName();
extern int 	 	        GetAppArch();
extern Opaque_t		        GetAppArchStr();
extern Opaque_t		        GetAppArchCmds();
extern Opaque_t		        GetAppArchDef();
extern Opaque_t		        GetAppArchSysinfo();
extern Opaque_t		        GetAppArchTest();
extern int 		        GetBootTime();
extern Opaque_t 	        GetBootTimeUtmp();
extern Opaque_t 	        GetBootTimeGetutid();
extern Opaque_t 	        GetBootTimeSym();
extern int			GetCurrentTime();
extern char 		       *GetCurrentTimeStrftime();
extern char 		       *GetCurrentTimeCtime();
extern int 		       GetCPU();
extern char 		       *GetCharFile();
extern char 		       *GetDiskCapacity();
extern int 		       GetHostID();
extern int 		       GetKernVer();
extern Opaque_t		       GetKernVerSym();
extern int 		       GetMan();
extern int 		       GetManLong();
extern char		       *GetManLongStr();
extern Opaque_t		       GetManLongDef();
extern Opaque_t		       GetManLongSysinfo();
extern int 		       GetManShort();
extern char		       *GetManShortStr();
extern Opaque_t		       GetManShortDef();
extern Opaque_t		       GetManShortSysinfo();
extern int 		       GetMemory();
extern char 		       *GetMemoryStr();
extern Opaque_t	 	        GetMemoryPhysmemSym();
extern int 		        GetModel();
extern Opaque_t 	        GetModelCmd();
extern Opaque_t 	        GetModelDef();
extern Opaque_t 	        GetModelFile();
extern Opaque_t 	        GetModelCpuInfo();
extern int 		       GetNumCpu();
extern Opaque_t		       GetNumCpuSysconf();
extern int 		       GetOSName();
extern int 		       GetOSDist();
extern int 		       GetOSVer();
extern char 		       *GetRawFile();
extern int 		       GetRomVer();
extern int 		       GetSerial();
extern Opaque_t		       GetSerialSysinfo();
extern char 		       *GetVendorName();
extern int 		        GetVirtMem();
extern Opaque_t		        GetVirtMemAnoninfo();
extern Opaque_t 	        GetVirtMemNswap();
extern Opaque_t 	        GetVirtMemSwapctl();
extern char	 	       *GetVirtMemStr();
extern Opaque_t 	        PSIquery();
extern char 		       *PrimeDesc();
extern int		        AddDevice();
extern void		        DevAddFile();
extern void		        SetMacInfo();
extern void 		        DetectDevices();

extern int			ScsiCmd();

extern int			IdentMatch();
extern char		       *IdentString();
extern Ident_t		       *IdentCreate();

extern void		        ClassShowBanner();
extern void		        ClassShowValue();
extern void			ClassList();
extern void			ClassSetInfo();
extern int			ClassCall();
extern void			ClassCallList();

extern void			TypeList();
extern void			TypeSetInfo();
extern DevType_t	       *TypeGetByName();
extern ClassType_t	       *ClassTypeGetByName();

extern namelist_t	       *NameListFind();
extern void 		        NameListAdd();
extern void 		        NameListFree();

extern SoftInfo_t	       *SoftInfoCreate();
extern SoftInfo_t	       *SoftInfoFind();
extern int			SoftInfoAdd();
extern int			SoftInfoMCSI();
extern int			SoftInfoDestroy();

extern char		       *SignalName();

extern PartInfo_t	       *PartInfoCreate();
extern int			PartInfoDestroy();
extern int			PartInfoAdd();
extern int			PartInfoMCSI();

extern void			DevTypesInit();
extern DevType_t		DevTypes[];

extern char		       *VarSub();
extern char		       *VarGetVal();

extern Offset_t			myllseek();

extern kvm_t 		       *KVMopen();
extern void			KVMclose();
extern int			KVMget();
#if	defined(HAVE_NLIST)
extern nlist_t		       *KVMnlist();
#endif	/* HAVE_NLIST */

extern char		       *DirName();
extern char		       *BaseName();

extern char		       *CFchooseConfDir();

extern char		       *CpuManEdit();
extern char		       *CpuModelEdit();

extern DevInfo_t	       *CpuInfoProbe();

#if	defined(IS_X86)
extern Opaque_t			GetCpuInfoX86();
#endif	/* IS_X86 */

extern int		        GetLibcName();
extern int		        GetLibcVer();
extern Opaque_t		        GetLibcNameShared();
extern Opaque_t		        GetLibcVersionShared();

extern char *			CmdFind();

extern char		       *FindCommand();

extern Printer_t *		PrinterCreate();
extern int			PrinterMCSI();

extern Opaque_t			BuildPrinterLp();
extern Opaque_t			BuildPrinterLpr();
extern Opaque_t		        BuildPartInfoDevices();

#endif /* __sysinfo_declare_h__ */
