#
# $Id: mcCpuInfo.pm,v 1.5 2001/12/28 22:46:43 mcooper Exp $
#
# CpuInfo object
#

package mcCpuInfo;
require 5.003;

use mcMisc;

#
# Every object value must have a description
#
my $Descriptions = 
	{
	 'Man' 			=> {Desc=>'Manufacturer'},
	 'Model' 		=> {Desc=>'Model'},
	 'Arch' 		=> {Desc=>'Architecture'},
	 'ArchVer' 		=> {Desc=>'Architecture Version'},
	 'Serial' 		=> {Desc=>'Serial #'},
	 'BitSize' 		=> {Desc=>'Bit Size'},
	 'Speed' 		=> {Desc=>'Clock Speed'},
	 'HasFPU' 		=> {Desc=>'Has FPU'},
	 'Stepping' 		=> {Desc=>'Stepping'},
	};

#
# Object Constructor
#
sub New {
    my $proto = shift;
    my $class = ref($proto) || $proto;
    my $self = {};
    my $Err;

    $self->{"Man"} = undef;
    $self->{"Model"} = undef;
    $self->{"Arch"} = undef;
    $self->{"ArchVer"} = undef;
    $self->{"Serial"} = undef;
    $self->{"BitSize"} = undef;
    $self->{"Speed"} = undef;
    $self->{"HasFPU"} = undef;
    $self->{"Stepping"} = undef;

    $self->{"Desc"} = undef;
    $self->{"Caches"} = undef;

    bless ($self, $class);

    return $self;
}

sub Man {
    my $self = shift;

    if (!@_) {
	return $self->{"Man"};
    }

    $self->{"Man"} = shift;

    return;
}

sub Model {
    my $self = shift;

    if (!@_) {
	return $self->{"Model"};
    }

    $self->{"Model"} = shift;

    return;
}

sub Arch {
    my $self = shift;

    if (!@_) {
	return $self->{"Arch"};
    }

    $self->{"Arch"} = shift;

    return;
}

sub ArchVer {
    my $self = shift;

    if (!@_) {
	return $self->{"ArchVer"};
    }

    $self->{"ArchVer"} = shift;

    return;
}

sub Serial {
    my $self = shift;

    if (!@_) {
	return $self->{"Serial"};
    }

    $self->{"Serial"} = shift;

    return;
}

sub BitSize {
    my $self = shift;

    if (!@_) {
	return $self->{"BitSize"};
    }

    $self->{"BitSize"} = shift;

    return;
}

sub Speed {
    my $self = shift;

    if (!@_) {
	return $self->{"Speed"};
    }

    $self->{"Speed"} = shift;

    return;
}

sub HasFPU {
    my $self = shift;

    if (!@_) {
	return $self->{"HasFPU"};
    }

    $self->{"HasFPU"} = shift;

    return;
}

sub Stepping {
    my $self = shift;

    if (!@_) {
	return $self->{"Stepping"};
    }

    $self->{"Stepping"} = shift;

    return;
}

sub Caches {
    my $self = shift;

    if (!@_) {
	return @{ $self->{"Caches"} };
    }

    @{ $self->{"Caches"} } = @_;

    return;
}

#
# Fetch description
#
sub Desc {
    my $self = shift;
    my $Key = shift;

    if ($Descriptions->{$Key}->{'NoShow'}) {
	return;
    }

    return $Descriptions->{$Key}->{'Desc'};
}

#
# Decode cpuinfo_t entry
#
sub Decode {
    my $self = shift;
    my @Fields = @_;

    $self->Man($Fields[3]);
    $self->Model($Fields[4]);
    $self->Arch($Fields[5]);
    $self->ArchVer($Fields[6]);
    $self->Serial($Fields[7]);
    $self->BitSize($Fields[8]);
    $self->Speed($Fields[9]);
    # Fields 10-25 are obsoleted by mcCacheInfo
    $self->HasFPU($Fields[26]);
    $self->Stepping($Fields[27]);

    return $self;
}

1;
